Subject: Re: [Fot] Umbrella holders

From: [email-masked]
Date: Fri, 1 Feb 2013 17:20:13 -0500 (EST)

In a message dated 02/01/2013 3:42:10 PM Central Standard Time, 
[email-masked] writes:

> Somewhere there is a picture floating around of me holding an umbrella 
> over
> Jeff Snook last time FOT was at Road America. Jeff, I'd have to say you 
> got
> the short end of the stick on that one!
> 

I remember that.  It was neither sunny nor raining.  Folks were just 
throwing stuff at Snook.  I threw a roll of duct tape.

Bill (Damdinger)
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive